import request from '@/utils/request'

// 查询咨询信息列表
export function listQUESTION(query) {
  return request({
    url: '/portal/QUESTION/list',
    method: 'get',
    params: query
  })
}

// 查询咨询信息所有列表
export function listAllQUESTION(query) {
  return request({
    url: '/portal/QUESTION/listAll',
    method: 'get',
    params: query
  })
}
// 查询咨询标签
export function getMarkListAll() {
  return request({
    url: '/MARK/listAll',
    method: 'get',
  })
}

// 查询咨询信息详细
export function getQUESTION(expertName) {
  return request({
    url: '/portal/QUESTION/getInfo/' + expertName,
    method: 'get'
  })
}

// 新增咨询信息
export function addQUESTION(data) {
  return request({
    url: '/portal/QUESTION/add',
    method: 'post',
    data: data
  })
}

// 修改咨询信息
export function updateQUESTION(data) {
  return request({
    url: '/portal/QUESTION/edit',
    method: 'post',
    data: data
  })
}

// 删除咨询信息
export function delQUESTION(id) {
  return request({
    url: '/portal/QUESTION/remove/' + id,
    method: 'get'
  })
}
